#The House
- Adds the House, a mad gambler who relies on his luck to push through tough situations, using two mysterious artifacts of fate: a 6-Shooter-Revolver named "Roulette" and a seemingly cursed deck of playing cards
- Instead of having a Secondary, Utility, and Special abilities, The House draws 3 cards from a deck of 51, (he keeps the 52nd card in his hat), and uses them instead, upon using a card, he loses all three and draws a new hand,
  once you've run out of cards, the Discard pile is shuffled back into the draw pile, and you start over again.
- His Revolver "Roulette" has 6 bullets that it fires in a random order, and cannot shoot while empty, in order to reload the gun, you must activate one of the three drawn cards.
- Inlcudes configs for Simplified Crosshair, Crosshair Position, Crosshair Size, or even having a Crosshair at all, Simplified Card Table, Card Table position, Card Table size, and including the Cylinder display near the Card Table.
- List of cards, bullets, and their effects can be seen in-game in the loadout screen (Display only).

[![](https://cdn.discordapp.com/attachments/534719955418087435/826754504301084724/unknown.png)]()
[![](https://cdn.discordapp.com/attachments/567852222419828736/828480839909113886/unknown.png)]()

[![](https://cdn.discordapp.com/attachments/567852222419828736/829129805474562110/unknown.png)]()
Various HUD variants, Customizable in Config

----
#Showcase

The House is a unique character that utilises random chance in every aspect of his kit, as the player, your job is to figure out what the best choice is for the situation, based on what Ammo and Cards you have availiable
######Abilities
| Icon | Name | Description | Cooldown |
|:--|--|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/832231293533552691/Mouse1.png) | **Fire Roulette** | Fires one of you loaded rounds at random | none |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832231314526437396/DeckSlot.png) | **Deck Slot** | Use the card in your Secondary slot, and loads ammo into the cylinder. boosts you forward if you're midair. | 8 seconds |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832231314526437396/DeckSlot.png) | **Deck Slot** | Use the card in your Utility slot, and loads ammo into the cylinder. boosts you forward if you're midair. | 8 seconds |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832231314526437396/DeckSlot.png) | **Deck Slot** | Use the card in your Special slot, and loads ammo into the cylinder. boosts you forward if you're midair. | 8 seconds |

At the start of each stage, you draw three cards from the deck, using the deck slot the card is in will activate it's effect, and cause you to discard your hand and draw 3 more cards
######List of Cards
| Icon | Card | Description | Amount in Deck |
|:-|---|----|--|
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223329560559616/7ofClubs.png) | **7 of Clubs** | Guarantees your next 2 bullets will be Explosive Shots. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223332232724510/7ofDiamonds.png) | **7 of Diamods** | Grants Gold (scales with chest costs). | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223335646625802/7ofHearts.png) | **7 of Hearts** | Heals you for 50% of your max HP. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223339325030430/7ofSpades.png) | **7 of Spades** | Loads 3 positive special rounds into roulette. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223365229969478/JackPot.png) | **Jackpot** | Randomly activates the effects of ''7 of Clubs'', ''7 of Diamonds'', ''7 of Hearts'', or ''7 of Spades'', 20% chance to activate all at once, as well as grant a brief 5 second period of bonus Attack/Movement speed and luck, and unlimited positive special ammo. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223422830477322/PickUp52.png) | **Pick-Up 52** | Throws all remaining cards into the air and shuffles everything back into the draw pile, each card deals 100% Damage. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223436289605662/SnakeEyes.png) | **SnakeEyes** | Loads 2 Snake Shots into roulette. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223355968552980/Bust.png) | **Bust** | Instantly take damage. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223343007760444/10ofSwords.png) | **10 of Swords** | Summon powerful enemies around yourself. | 2 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223306681811004/5ofCoins.png) | **5 of coins** | Lose half your current gold. | 4 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223447814766602/TheTower.png) | **The Tower** | Crisis, Destruction, Catastrophe, Losses, Obstacles, Volatile. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223413338243082/Joker.png) | **Joker** | Activates a random other Purple Card Effect, 17% chance to activate all of them at once. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223359987220480/Jack.png) | **Jack** | Does nothing (still reloads ammo). | 3 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223427267002378/Queen.png) | **Queen** | Loads nothing but 2 unique shots that deals 3x damage. | 3 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223418086457354/King.png) | **King** | Loads one of each special round. | 3 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223347139936327/Ace.png) | **Ace** | Loads nothing but 1 unique shot that deals 6x damage. | 3 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223464281604116/WildCard.png) | **WildCard** | Does something unpredictable. could be good, could be bad, could be neither... maybe both? | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223431444922398/RussianRoulette.png) | **Russian Roulette** | 1/6 chance to die, 4/6 chance to do nothing, 1/6 chance to kill everything on the map and spawn a legendary item. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223351342366770/AllIn.png) | **All In** | Spend all of your gold for a chance to get an item (more gold spent = more chance to get an item). | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223458607628408/WheelOfFortune.png) | **Wheel of Fortune** | 50% chance to double current gold, 50% chance to lose all gold. | 1 |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832223452806643732/ThreeOfAKind.png) | **Three of a Kind** | Draw and play the entire next hand all at once. | 1 |

After using a card, you will load your cylinder full of ammo, if the card effect specifies ammo to load, that will be loaded, as well as 50% of the time, you will load random special ammo into a single slot (25% of the time you'll load two), and then all remaining ammo slots will be standard unless the card states otherwise
######Bullets
| Icon | Name | Description |
|:--|--|------|
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232507059470436/ShotStandardIcon.png) | **Standard** | Fires a bullet that deals damage to the target |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232494615101490/ShotExplosiveIcon.png) | **Explosive** | Fires an explosive projectile that deals damage in an AoE |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232492215042088/ShotWoundIcon.png) | **Wound** | Fires 9 shots with a proc coeficient of 1, applies 3 bleed, and 3 Burn |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232493821853706/ShotBuckIcon.png) | **Buck** | Fires a spray of shots that deals high damage up close |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232471361486909/ShotBlankIcon.png) | **Blank** | Does nothing |
|![](https://cdn.discordapp.com/attachments/534719955418087435/832232495478210590/ShotSnakeIcon.png) | **Snake** | Deals self-damage |

[![](https://cdn.discordapp.com/attachments/534719955418087435/832254442681532426/HUD_example.png)]()

----
#Known bugs
- In Multiplayer, sometimes the random number generator desyncs with clients, I don't know why this happens most of the times that it has, but it's rare enough that I don't really care.
- One way that I do know desyncs can happen, is if a player takes too long to load in, this will cause that player to be desynced, which can cause wack to happen.
- Wildcard is buggy in multiplayer, expect jank.

- ~~Killing Mithrix with Russian Roulette seems to crash the game.~~ ?I can't seem to kill Mithrix with it anymore?
- ~~Dio's best friend revives you, but you become useless.~~
- The camera doesn't follow your corpse when you die.

----
#Credits

JavAngle - Director, Code-Person, Ideas-Man, and above all; responsible >:) (make sure to tell me how you died on the Discord)

Dotflare - Animator https://twitter.com/dotflare3

SlugishCheeta - Modeler https://twitter.com/SluggishCheeta

----
#special thanks to

XoXFaby - Fixed Crowbars effecting instances of self-damage, and showed me how to add tooltips to custom HUD elements

FireyIcy - For assisting me with finding sounds, making some card arts, and testing multiplayer

Vale-X - For showing me where to find, and handing me the vanilla UI assets, and helping me improve the Simplified HUD

Rob - For providing the community with a base character to work off (This guy's great).

iDeathHD - Told me about "Runtime Inspectors" which were very helpfull in cleaning up the HUD.

Unordinal - Helping me sort out dependancies (I was super struggling).

KingEnderBrine - Helped me sort out the "misc" section in the loadout screen.

dgosling - Gave me advice that helped me fix item related effects after the anniversary update.

Derslayr, Vale-X - helped me figure out the changes to contentpacks

Esper(who is called esper) - Poofreedign thus veri REDME page :)

Major Pleasure, Anreol, Vale X, Dragonyck, X(with a fancy thingie above it I cant replicate), dgosling - For feedback and ideas.

And of course, who could forget, YOU! for checking out my mod, you're 1 in 1,000,000! pat yourself of the back.


# changelog
- 1.6.0
FullHouseUpdate .
All animations have been remade, courtesy of Dotflare
Added alternate keybinds for activating cards (configurable in config, is 1, 2, and 3 by default)
Ace and Queen bullets now peirce enemies
Snake Shots and Bust now hit you multiple times for less damage, synergising better with items
Coins now creates an explosion, with damage and radius based on money lost
Crowbars no longer effect Bust, Snake shots or any other form of self damage
Added a display for keybinds on the card table
Revamped the Simplified card table
Added a Mastery Skin and Achievement
Added item Displays

- 1.5.7
.
Fixed negative luck acting like positive luck for various card effects
Reworked how luck effects Russian Roulette, more luck now grants a higher chance to kill everything, but does not lower the chance to die
Russian Roulette should no longer spawn Red Scrap or Microbots, or any other red item that cannot spawn from chests
Wildcard should no longer be able to steal the monsoon or drizzle hidden items
Wildcard's stage teleport effect has been reworked to lower the chances of it bringing you to the end of the run
Added more destinations to Wildcard's state teleport effect

- 1.5.6
.
Fixed a UI bug that caused the simplified crosshair to show up on all survivors

- 1.5.5
.
Added sounds effects for WIldCard, and its various effects
Buffed Buck shot, it now deals more damage, and has less spread
probably some other stuff, I forgot... I updated the README, does that count?

- 1.5.0
.
Now works for new update
Replaced Order with Wildcard :)

- 1.4.0
.
Now Works in multiplayer
Fixed bug relating to Dio's Best friend

- 1.3.0
.
Revamped the HUD
Added Equiptment display to the Card Table
Added config option for simplified version of the Card Table and Crosshair
Added config options for size and positions of the Card Table and Crosshair
Redesigned the card arts for Jack, Russian Roulette, 5 of Coins, 7 of Diamonds, 7 of Hearts, and 7 of Spades
Tweaked the card arts of all cards that were not redesigned
Changed loadout icons (also used for the simplified HUD instead of the card arts)
-
Buffed the card hop feature to allow for better mobility
Added delay to All In to build tension
Added various effects to The Tower
-
Fixed Sounds being global
Fixed Russian Roulette explosion sound not being effected by volume sliders
Fixed Explosive shot sound not playing
Fixed Vagrant balls being invincible if this mod was loaded (It's a long story)

- 1.2.0
.
Added a breif "Hop" when using cards in mid-air (hopefully this fixes combat maneuverability problems)
Jackpot Lucky Sevens effect now increases attack and movement speed, as well as luck for a time
Jackpot Lucky Sevens effect now grants infinite positive ammo for a time
JackPot chance to get Lucky Sevens increased by Luck
Russian Roulette chance to die decreased by Luck
Joker chance to activate all negative effects decreased by Luck
Fixed NullReferenceException error spam in the console

- 1.1.0
.
Added in-game tooltips for the cards
Fixed bug relating to Dio's Best Friend

- 1.0.0
.
released